/*
 * usb_device_interface_0_hid_mouse.h
 *
 *  Created on: Aug 16, 2019
 *      Author: nxf38847
 */

#ifndef USB_DEVICE_INTERFACE_0_HID_MOUSE_H_
#define USB_DEVICE_INTERFACE_0_HID_MOUSE_H_

#define MOUSE_LEFT_BUTTON 0U
#define MOUSE_RIGHT_BUTTON 1U

/*!
 * @brief Updates mouse x, y direction that will be sent to the host
 *
 * @param xDir
 * @param yDir
 */
void USB_DeviceHidMouseUpdateDirection(uint8_t xDir, uint8_t yDir);

/*!
 * @brief Updates mouse buttons state that will be sent to the host
 *
 * @param button MOUSE_LEFT_BUTTON or MOUSE_RIGHT_BUTTON
 * @param state 1 for pressed or 0 for released
 */
void USB_DeviceHidMouseUpdateButtonState(uint8_t button, uint8_t state);


#endif /* USB_DEVICE_INTERFACE_0_HID_MOUSE_H_ */
